#!/usr/bin/bash

__dir="$(cd "$(dirname "${BASH_SOURCE[0]}")" && pwd)"

SSH_SERVER="example"
PROJECT_ROOT=example_directory
SSH_REMOTE_DIR="${SSH_SERVER}:${PROJECT_ROOT}"

wget https://git.pweapon.org/odo/dl.emersa.it/releases/download/latest/build.tar.gz

rsync -r --delete --progress build.tar.gz "${SSH_REMOTE_DIR}"

ssh "${SSH_SERVER}" "rm -rf ${PROJECT_ROOT}; mkdir -p ${PROJECT_ROOT} ; cd ${PROJECT_ROOT} ; wget https://git.pweapon.org/odo/dl.emersa.it/releases/download/latest/build.tar.gz ; tar -xvf build.tar.gz -C . ; npm ci ; rm build.tar.gz"
#### CHANGE YOUR ${PROJECT_ROOT}/.env (specially ORIGIN)
ssh "${SSH_SERVER}" "systemctl restart downloader"
